'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonControls = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactJss = require('react-jss');

var _reactJss2 = _interopRequireDefault(_reactJss);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _buttonControlsStyle = require('./buttonControlsStyle');

var _buttonControlsStyle2 = _interopRequireDefault(_buttonControlsStyle);

var _components = require('../../components');

var _assets = require('../../assets');

var _assets2 = _interopRequireDefault(_assets);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ButtonControls = function (_React$Component) {
  _inherits(ButtonControls, _React$Component);

  function ButtonControls() {
    _classCallCheck(this, ButtonControls);

    return _possibleConstructorReturn(this, (ButtonControls.__proto__ || Object.getPrototypeOf(ButtonControls)).apply(this, arguments));
  }

  _createClass(ButtonControls, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          classes = _props.classes,
          themeColor = _props.themeColor,
          uploadConfig = _props.uploadConfig,
          onGoBack = _props.onGoBack,
          onRefresh = _props.onRefresh,
          title = _props.title,
          note = _props.note,
          multiple = _props.multiple,
          openUploadDialog = _props.openUploadDialog,
          isUpload = _props.isUpload,
          onOpen = _props.onOpen,
          onClose = _props.onClose,
          onFileSelected = _props.onFileSelected,
          onConfirm = _props.onConfirm;


      var subColor = void 0;
      if (!!themeColor && themeColor.subColor) {
        subColor = themeColor.subColor.color;
      }

      return _react2.default.createElement(
        'div',
        { className: classes.controls },
        _react2.default.createElement(
          'button',
          { className: classes.back, onClick: onGoBack },
          _react2.default.createElement('img', { src: _assets2.default.arrowIcon, style: { marginRight: "6px", height: "14px", verticalAlign: "middle" }, alt: 'goback' }),
          'Back'
        ),
        _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            'div',
            { className: classes.buttonGroup },
            _react2.default.createElement(
              'button',
              { className: classes.refresh, onClick: onRefresh, style: { color: subColor } },
              _react2.default.createElement(
                'svg',
                { focusable: 'false', preserveAspectRatio: 'xMidYMid meet', xmlns: 'http://www.w3.org/2000/svg', width: '16', height: '16', viewBox: '0 0 16 16', 'aria-hidden': 'true', style: { marginRight: "6px", height: "16px", verticalAlign: "middle", willChange: "transform" } },
                _react2.default.createElement('path', { fill: subColor || "#40D5BB", d: 'M13 9c0 2.8-2.2 5-5 5s-5-2.2-5-5 2.2-5 5-5h3.1L9.3 5.8l.7.7 3-3-3-3-.7.7L11.1 3H8C4.7 3 2 5.7 2 9s2.7 6 6 6 6-2.7 6-6h-1z' })
              ),
              'Refresh Status'
            ),
            _react2.default.createElement(_components.FileUpload, {
              themeColor: themeColor,
              config: uploadConfig,
              title: title,
              note: note,
              multiple: multiple,
              openUploadDialog: openUploadDialog,
              isUpload: isUpload,
              onOpen: onOpen,
              onClose: onClose,
              onFileSelected: onFileSelected,
              onConfirm: onConfirm
            })
          )
        )
      );
    }
  }]);

  return ButtonControls;
}(_react2.default.Component);

var styleButtonControls = (0, _reactJss2.default)(_buttonControlsStyle2.default)(ButtonControls);

exports.ButtonControls = styleButtonControls;


ButtonControls.propTypes = {
  themeColor: _propTypes2.default.object.isRequired,
  uploadConfig: _propTypes2.default.object.isRequired,
  isUpload: _propTypes2.default.bool.isRequired,
  openUploadDialog: _propTypes2.default.bool.isRequired,
  title: _propTypes2.default.string,
  note: _propTypes2.default.string,
  multiple: _propTypes2.default.bool,
  onOpen: _propTypes2.default.func.isRequired,
  onClose: _propTypes2.default.func.isRequired,
  onFileSelected: _propTypes2.default.func.isRequired,
  onConfirm: _propTypes2.default.func.isRequired
};