'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FileUpload = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactJss = require('react-jss');

var _reactJss2 = _interopRequireDefault(_reactJss);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _uploadStyle = require('./uploadStyle');

var _uploadStyle2 = _interopRequireDefault(_uploadStyle);

var _widgets = require('../../widgets');

var _UploadDialog = require('./UploadDialog/UploadDialog');

var _assets = require('../../assets');

var _assets2 = _interopRequireDefault(_assets);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var FileUpload = function (_React$Component) {
  _inherits(FileUpload, _React$Component);

  function FileUpload() {
    _classCallCheck(this, FileUpload);

    var _this = _possibleConstructorReturn(this, (FileUpload.__proto__ || Object.getPrototypeOf(FileUpload)).call(this));

    _this.state = {
      uploadHovered: false
    };
    return _this;
  }

  _createClass(FileUpload, [{
    key: 'toggleHover',
    value: function toggleHover() {
      this.setState({ uploadHovered: !this.state.uploadHovered });
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          classes = _props.classes,
          themeColor = _props.themeColor,
          config = _props.config,
          isUpload = _props.isUpload,
          openUploadDialog = _props.openUploadDialog,
          title = _props.title,
          note = _props.note,
          multiple = _props.multiple,
          onOpen = _props.onOpen,
          onClose = _props.onClose,
          onFileSelected = _props.onFileSelected,
          onConfirm = _props.onConfirm;
      var uploadHovered = this.state.uploadHovered;


      var fileTypes = "";
      if (config.fileExtension) {
        fileTypes = config.fileExtension.join(",");
      }
      var backgroundColor = void 0,
          borderColor = void 0;
      if (!!themeColor && themeColor.primaryColor) {
        backgroundColor = uploadHovered ? themeColor.primaryColor.backgroundHoverColor : themeColor.primaryColor.backgroundColor;
        borderColor = themeColor.primaryColor.borderColor;
      } else {
        backgroundColor = uploadHovered ? _assets2.default.searchColor : _assets2.default.primaryButtonBackgroundColor;
      }
      var disabledBorderColor = void 0;
      if (!!themeColor && themeColor.disableColor) {
        disabledBorderColor = themeColor.disableColor.borderColor;
      }
      return _react2.default.createElement(
        'div',
        { className: classes.uploadfile },
        fileTypes === "" && _react2.default.createElement(
          _widgets.AppButton,
          {
            kind: 'primary',
            disabled: true,
            style: { borderColor: disabledBorderColor }
          },
          _react2.default.createElement('img', { src: _assets2.default.loading, style: { marginRight: "6px", height: "22px", verticalAlign: "middle" }, alt: 'loading' })
        ),
        fileTypes !== "" && _react2.default.createElement(
          _widgets.AppButton,
          { kind: 'primary',
            style: { backgroundColor: backgroundColor, borderColor: borderColor },
            onClick: onOpen,
            toggleHover: this.toggleHover.bind(this)
          },
          'Upload Files'
        ),
        openUploadDialog && _react2.default.createElement(_UploadDialog.UploadDialog, {
          themeColor: themeColor,
          title: title,
          fileType: fileTypes,
          maxSize: config.maxSize,
          note: note,
          multiple: multiple,
          isUpload: isUpload,
          onClose: onClose,
          onFileSelected: onFileSelected,
          onConfirm: onConfirm,
          toggleHover: this.toggleHover.bind(this)
        })
      );
    }
  }]);

  return FileUpload;
}(_react2.default.Component);

var styleFileUpload = (0, _reactJss2.default)(_uploadStyle2.default)(FileUpload);

exports.FileUpload = styleFileUpload;


FileUpload.propTypes = {
  themeColor: _propTypes2.default.object.isRequired,
  config: _propTypes2.default.object.isRequired,
  isUpload: _propTypes2.default.bool.isRequired,
  openUploadDialog: _propTypes2.default.bool.isRequired,
  title: _propTypes2.default.string,
  note: _propTypes2.default.string,
  multiple: _propTypes2.default.bool,
  onOpen: _propTypes2.default.func.isRequired,
  onClose: _propTypes2.default.func.isRequired,
  onFileSelected: _propTypes2.default.func.isRequired,
  onConfirm: _propTypes2.default.func.isRequired
};