'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UploadDialog = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactJss = require('react-jss');

var _reactJss2 = _interopRequireDefault(_reactJss);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _widgets = require('../../../widgets');

var _uploadDialogStyle = require('./uploadDialogStyle');

var _uploadDialogStyle2 = _interopRequireDefault(_uploadDialogStyle);

var _assets = require('../../../assets');

var _assets2 = _interopRequireDefault(_assets);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var UploadDialog = function (_React$Component) {
  _inherits(UploadDialog, _React$Component);

  function UploadDialog() {
    _classCallCheck(this, UploadDialog);

    var _this = _possibleConstructorReturn(this, (UploadDialog.__proto__ || Object.getPrototypeOf(UploadDialog)).call(this));

    _this.state = { isDraging: false, files: null, uploadHovered: false };
    return _this;
  }

  _createClass(UploadDialog, [{
    key: 'handleSpaceClick',
    value: function handleSpaceClick() {
      if (this.props.onClose) {
        this.props.onClose();
      }
    }
  }, {
    key: 'handleContainerClick',
    value: function handleContainerClick(event) {
      event.stopPropagation();
    }
  }, {
    key: 'generateFileList',
    value: function generateFileList(files) {
      var classes = this.props.classes;

      var fileList = [];
      if (!!files && files.length > 0) {

        for (var i = 0; i < files.length; i += 1) {
          if (i < 100) {
            fileList.push(_react2.default.createElement(
              'span',
              { key: "file" + i, className: classes.fileItem, style: { backgroundColor: "#EFEFEF" } },
              files[i].name
            ));
          } else {
            fileList.push(_react2.default.createElement(
              'span',
              { key: "fileCount", className: classes.fileItem },
              " ... " + files.length + " files"
            ));
            return;
          }
        }
      }
      return fileList;
    }
  }, {
    key: 'handleReset',
    value: function handleReset(e) {
      e.preventDefault();
      e.stopPropagation();
      this.refs.uploadFile.value = "";
      this.setState({ files: null });
    }
  }, {
    key: 'handleCloseDialog',
    value: function handleCloseDialog() {
      this.props.onClose();
    }
  }, {
    key: 'handleUploadFile',
    value: function handleUploadFile(event) {
      var files = event.target.files;
      var uploadFiles = this.props.onFileSelected(files);
      if (uploadFiles) {
        this.setState({ files: uploadFiles });
      }
    }
  }, {
    key: 'handleUploadClick',
    value: function handleUploadClick(files) {
      this.props.onConfirm(files);
    }
  }, {
    key: 'browserFile',
    value: function browserFile() {
      this.refs.uploadFile.click();
    }
  }, {
    key: 'preventEvent',
    value: function preventEvent(e) {
      e.preventDefault();
      e.stopPropagation();
    }
  }, {
    key: 'onDragOver',
    value: function onDragOver(e) {
      e.preventDefault();
      e.stopPropagation();
      this.setState({ isDraging: true });
    }
  }, {
    key: 'onDragLeave',
    value: function onDragLeave(e) {
      e.preventDefault();
      e.stopPropagation();
      this.setState({ isDraging: false });
    }
  }, {
    key: 'onDrop',
    value: function onDrop(e) {
      e.preventDefault();
      e.stopPropagation();
      var files = e.dataTransfer.files;
      // check upload file
      var uploadFiles = this.props.onFileSelected(files);
      var state = { isDraging: false };
      state.files = uploadFiles;
      this.setState(state);
    }
  }, {
    key: 'toggleHover',
    value: function toggleHover() {
      this.setState({ uploadHovered: !this.state.uploadHovered });
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          classes = _props.classes,
          title = _props.title,
          fileType = _props.fileType,
          maxSize = _props.maxSize,
          note = _props.note,
          multiple = _props.multiple,
          isUpload = _props.isUpload,
          themeColor = _props.themeColor;
      var _state = this.state,
          isDraging = _state.isDraging,
          files = _state.files,
          uploadHovered = _state.uploadHovered;

      var fileArea = classes.filearea + ' ' + (isDraging ? classes.dragging : '');

      var linkColor = void 0;
      if (!!themeColor && themeColor.subColor) {
        linkColor = themeColor.subColor.color;
      }
      var backgroundColor = void 0,
          borderColor = void 0;
      if (!!themeColor && themeColor.primaryColor) {
        backgroundColor = uploadHovered ? themeColor.primaryColor.backgroundHoverColor : themeColor.primaryColor.backgroundColor;
        borderColor = themeColor.primaryColor.borderColor;
      } else {
        backgroundColor = uploadHovered ? _assets2.default.searchColor : _assets2.default.primaryButtonBackgroundColor;
      }
      var disabledBorderColor = void 0;
      if (!!themeColor && themeColor.disableColor) {
        disabledBorderColor = themeColor.disableColor.borderColor;
      }

      return _react2.default.createElement(
        'div',
        { className: classes.modalLayer, onClick: this.handleSpaceClick.bind(this) },
        _react2.default.createElement(
          'div',
          { className: classes.modalContainer, onClick: this.handleContainerClick.bind(this) },
          _react2.default.createElement(
            'div',
            { className: classes.container },
            _react2.default.createElement(
              'div',
              { className: classes.title },
              title || "Upload",
              _react2.default.createElement('i', { onClick: this.handleCloseDialog.bind(this), className: classes.closeIcon })
            ),
            _react2.default.createElement(
              'div',
              { className: classes.content },
              _react2.default.createElement(
                'form',
                null,
                _react2.default.createElement(
                  'div',
                  { className: fileArea,
                    onDrag: this.preventEvent.bind(this), onDragStart: this.preventEvent.bind(this),
                    onDragEnd: this.preventEvent.bind(this), onDragEnter: this.preventEvent.bind(this),
                    onDragOver: this.onDragOver.bind(this), onDragLeave: this.onDragLeave.bind(this),
                    onDrop: this.onDrop.bind(this) },
                  _react2.default.createElement(
                    'div',
                    { className: classes.filename },
                    _react2.default.createElement('input', { type: 'file', name: 'file', accept: fileType, multiple: multiple, ref: 'uploadFile', onChange: this.handleUploadFile.bind(this), className: classes.uploadfile }),
                    files && _react2.default.createElement(
                      'div',
                      { className: classes.uploadname },
                      this.generateFileList(files)
                    ),
                    !files && _react2.default.createElement(
                      'div',
                      { className: classes.dragDropHint },
                      _react2.default.createElement('div', { className: classes.uploadIcon }),
                      _react2.default.createElement(
                        'div',
                        null,
                        'Please drag and drop files here'
                      ),
                      _react2.default.createElement(
                        'div',
                        { className: classes.browseFile, onClick: this.browserFile.bind(this), style: { color: linkColor } },
                        _react2.default.createElement('img', { src: _assets2.default.linkIcon, style: { marginLeft: "14px", marginRight: "6px", height: "14px" }, alt: 'links' }),
                        'Or browse from computer'
                      ),
                      _react2.default.createElement(
                        'div',
                        { className: classes.fileFormat },
                        'File Format: ',
                        _react2.default.createElement(
                          'span',
                          { style: { fontWeight: "bold" } },
                          fileType
                        ),
                        _react2.default.createElement('br', null),
                        'Max Upload File Size: ',
                        _react2.default.createElement(
                          'span',
                          { style: { fontWeight: "bold" } },
                          maxSize
                        )
                      )
                    )
                  ),
                  _react2.default.createElement(
                    'div',
                    { className: classes.uploadHint },
                    _react2.default.createElement(
                      'span',
                      { className: classes.note },
                      _react2.default.createElement(
                        'span',
                        { className: classes.redStar },
                        '*'
                      ),
                      '\xA0Note:\xA0'
                    ),
                    note
                  )
                ),
                _react2.default.createElement(
                  'div',
                  { className: classes.buttonarea },
                  files && !isUpload && _react2.default.createElement(
                    'span',
                    { className: classes.resetButton, onClick: this.handleReset.bind(this) },
                    'Clear Files'
                  ),
                  files && !isUpload && _react2.default.createElement(
                    _widgets.AppButton,
                    { kind: 'primary',
                      onClick: this.handleUploadClick.bind(this, files),
                      toggleHover: this.toggleHover.bind(this),
                      style: { width: "70px", backgroundColor: backgroundColor, borderColor: borderColor }
                    },
                    'Upload'
                  ),
                  !files && !isUpload && _react2.default.createElement(
                    _widgets.AppButton,
                    { kind: 'primary', disabled: true, style: { width: "70px", borderColor: disabledBorderColor } },
                    'Upload'
                  ),
                  files && isUpload && _react2.default.createElement(
                    _widgets.AppButton,
                    { kind: 'secondary',
                      disabled: true,
                      style: { borderColor: disabledBorderColor }
                    },
                    _react2.default.createElement('img', { src: _assets2.default.loading, style: { marginRight: "6px", height: "22px", verticalAlign: "middle" }, alt: 'loading' }),
                    'Uploading...'
                  )
                )
              )
            )
          )
        )
      );
    }
  }]);

  return UploadDialog;
}(_react2.default.Component);

var styleUploadDialog = (0, _reactJss2.default)(_uploadDialogStyle2.default)(UploadDialog);

exports.UploadDialog = styleUploadDialog;


UploadDialog.propTypes = {
  themeColor: _propTypes2.default.object.isRequired,
  title: _propTypes2.default.string,
  fileType: _propTypes2.default.string,
  note: _propTypes2.default.string,
  multiple: _propTypes2.default.bool,
  onClose: _propTypes2.default.func.isRequired,
  onFileSelected: _propTypes2.default.func.isRequired,
  onConfirm: _propTypes2.default.func.isRequired
};