"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _assets = require("../../../assets");

var _assets2 = _interopRequireDefault(_assets);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var uploadStyle = {
  modalLayer: {
    position: "fixed",
    zIndex: 999,
    width: "100%",
    height: "100%",
    top: "0",
    left: "0",
    backgroundColor: "rgba(0, 0, 0, 0.5)"
  },
  modalContainer: {
    position: "absolute",
    minWidth: "300px",
    maxWidth: "95%",
    maxHeight: "95%",
    top: '50%',
    left: '50%',
    transform: 'translate(-50%, -50%)',
    boxShadow: "0 0 20px 0 rgba(0, 0, 0, 0.3)",
    overflow: "hidden"
  },
  toolButton: {
    cursor: 'pointer',
    marginBottom: '.5em',
    userSelect: 'none'
  },
  container: {
    width: "548px",
    backgroundColor: _assets2.default.primaryColor,
    overflow: "hidden",
    position: "relative"
  },
  title: {
    lineHeight: "60px",
    paddingLeft: "25px",
    color: _assets2.default.secondaryColor,
    fontSize: "20px",
    fontWeight: "bold"
  },
  closeIcon: {
    position: "absolute",
    top: "12px",
    right: "16px",
    backgroundImage: "url(" + _assets2.default.closeIcon + ")",
    height: "16px",
    width: "16px",
    display: "inline-block",
    cursor: "pointer"
  },
  content: {
    padding: "0 16px"
  },
  radios: {
    marginTop: "20px"
  },
  dragDropHint: {
    display: "flex",
    flexDirection: "column",
    justifyContent: "flex-end",
    alignItems: "center",
    minHeight: "300px",
    fontSize: "24px",
    color: _assets2.default.uploadHintColor,
    textAlign: "center"
  },
  uploadIcon: {
    display: "inline-block",
    backgroundImage: "url(" + _assets2.default.uploadIcon + ")",
    height: "60px",
    width: "60px",
    margin: "10px",
    backgroundSize: "100% 100%",
    opacity: "0.5"
  },
  browseFile: {
    color: _assets2.default.buttonBackgroundColor,
    fontSize: "20px",
    fontWeight: "Bold",
    cursor: "pointer",
    userSelect: "none",
    "&:hover": {
      opacity: "0.6"
    }
  },
  fileFormat: {
    marginTop: "30px",
    fontSize: "16px"
  },
  filearea: {
    border: "2px dashed " + _assets2.default.borderColor,
    borderRadius: "20px",
    backgroundColor: _assets2.default.primaryColor,
    margin: "25px 20px",
    minHeight: "300px"
  },
  dragging: {
    backgroundColor: "rgba(0, 0, 0, 0.3)"
  },
  filename: {
    margin: "5px 0",
    minHeight: "340px"
  },
  fileItem: {
    display: "inline-block",
    maxWidth: "95%",
    borderRadius: "4px",
    margin: "2px 4px",
    padding: "4px",
    whiteSpace: "nowrap",
    overflow: "hidden",
    textOverflow: "ellipsis"
  },
  uploadHint: {
    display: "flex",
    alignItems: "center",
    borderTop: "1px solid " + _assets2.default.borderColor,
    padding: "5px 0px 5px 10px",
    maxHeight: "80px",
    lineHeight: "16px",
    color: _assets2.default.secondaryColor,
    fontSize: "16px"
  },
  buttonarea: {
    textAlign: "right",
    margin: "14px 16px 24px 16px"
  },
  uploadfile: {
    display: 'none'
  },
  note: {
    fontWeight: "bold"
  },
  redStar: {
    color: "red"
  },
  uploadname: {
    maxHeight: "50vh",
    overflow: "auto",
    color: _assets2.default.uploadFileNameColor,
    fontSize: "16px",
    fontWeight: "500",
    margin: "5px"
  },
  resetButton: {
    marginRight: "20px",
    border: "none",
    background: "none",
    padding: "0 20px",
    fontWeight: "bold",
    cursor: "pointer",
    display: "inline-block",
    color: _assets2.default.secondaryColor,
    fontSize: "16px",
    textAlign: "center",
    outline: "none",
    "&:hover": {
      border: "",
      opacity: "0.6"
    }
  }
};

exports.default = uploadStyle;