'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AppButton = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactJss = require('react-jss');

var _reactJss2 = _interopRequireDefault(_reactJss);

var _buttonStyle = require('./buttonStyle');

var _buttonStyle2 = _interopRequireDefault(_buttonStyle);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AppButton = function (_React$Component) {
  _inherits(AppButton, _React$Component);

  function AppButton(props) {
    _classCallCheck(this, AppButton);

    var _this = _possibleConstructorReturn(this, (AppButton.__proto__ || Object.getPrototypeOf(AppButton)).call(this, props));

    var children = _this.props.children;

    var text = children,
        isTip = false;
    if (typeof text === 'string') {
      if (text.length > 30) {
        text = text.substring(0, 30) + '...';
        isTip = true;
      }
    }
    _this.state = { text: text, isTip: isTip, showTip: false };
    return _this;
  }

  _createClass(AppButton, [{
    key: 'handleClick',
    value: function handleClick() {
      if (this.props.onClick) {
        this.props.onClick();
      }
    }
  }, {
    key: 'handleTipShow',
    value: function handleTipShow(showTip) {
      var isTip = this.state.isTip;

      if (isTip) {
        this.setState({ showTip: showTip });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          classes = _props.classes,
          kind = _props.kind,
          style = _props.style,
          className = _props.className,
          disabled = _props.disabled,
          children = _props.children,
          toggleHover = _props.toggleHover;
      var _state = this.state,
          text = _state.text,
          isTip = _state.isTip,
          showTip = _state.showTip;

      var buttonClass = "";
      if (!kind || !classes[kind]) {
        buttonClass = classes.container + " " + classes.primary;
      } else {
        buttonClass = classes.container + " " + classes[kind];
      }
      if (className) {
        buttonClass += " " + className;
      }
      if (disabled) {
        buttonClass += " " + classes.disable;
      }
      return _react2.default.createElement(
        'div',
        {
          className: buttonClass, style: style,
          onClick: this.handleClick.bind(this),
          onMouseOver: this.handleTipShow.bind(this, true),
          onMouseOut: this.handleTipShow.bind(this, false),
          onMouseEnter: toggleHover,
          onMouseLeave: toggleHover
        },
        text,
        isTip && showTip && _react2.default.createElement(
          'span',
          { className: classes.tooltip },
          children
        )
      );
    }
  }]);

  return AppButton;
}(_react2.default.Component);

var styleAppButton = (0, _reactJss2.default)(_buttonStyle2.default)(AppButton);

exports.AppButton = styleAppButton;