"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _assets = require("../../assets");

var _assets2 = _interopRequireDefault(_assets);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var buttonStyle = {
  container: {
    display: "inline-block",
    height: "40px",
    lineHeight: "40px",
    color: _assets2.default.secondaryColor,
    backgroundColor: _assets2.default.buttonBackgroundColor,
    cursor: "pointer",
    textAlign: "center",
    fontSize: "16px",
    position: "relative",
    userSelect: "none"
  },
  primary: {
    fontWeight: "bold",
    borderRadius: "20px",
    padding: "0 20px",
    border: "2px solid" + _assets2.default.primaryButtonBackgroundColor,
    backgroundColor: _assets2.default.primaryButtonBackgroundColor
  },
  secondary: {
    fontWeight: "bold",
    borderRadius: "20px",
    padding: "0 15px",
    border: "2px solid" + _assets2.default.primaryColor
  },
  disable: {
    opacity: "0.5",
    border: "2px solid" + _assets2.default.borderColor,
    backgroundColor: _assets2.default.primaryColor,
    color: _assets2.default.secondaryColor,
    cursor: "not-allowed"
  },
  search: {
    borderRadius: "8px",
    padding: "0 10px",
    border: "1px solid" + _assets2.default.primaryColor
  },
  tooltip: {
    position: "absolute",
    backgroundColor: _assets2.default.primaryColor,
    color: _assets2.default.secondaryColor,
    left: 0,
    top: "-50px",
    padding: "0 5px",
    borderRadius: "5px",
    pointerEvents: "none"
  }
};

exports.default = buttonStyle;