'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AppPagination = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactJss = require('react-jss');

var _reactJss2 = _interopRequireDefault(_reactJss);

var _paginationStyle = require('./paginationStyle');

var _paginationStyle2 = _interopRequireDefault(_paginationStyle);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AppPagination = function (_React$Component) {
  _inherits(AppPagination, _React$Component);

  function AppPagination() {
    _classCallCheck(this, AppPagination);

    return _possibleConstructorReturn(this, (AppPagination.__proto__ || Object.getPrototypeOf(AppPagination)).apply(this, arguments));
  }

  _createClass(AppPagination, [{
    key: 'handleClick',
    value: function handleClick(index) {
      if (index < 0) return;
      if (index >= this.pageNum) return;
      if (this.pageIndex === index) return;

      if (this.props.onChangePage) {
        this.props.onChangePage(index);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          classes = _props.classes,
          index = _props.index,
          total = _props.total,
          pageSize = _props.pageSize,
          primaryColor = _props.primaryColor;
      // calculate page number and index by index and total

      this.pageSize = pageSize || 18;
      this.pageNum = Math.ceil(total / this.pageSize);
      this.pageIndex = index < 0 ? 0 : index >= this.pageNum ? this.pageNum - 1 : index;

      // calcuate nav number
      var pages = [];
      if (this.pageNum <= 5) {
        for (var i = 0; i < this.pageNum; i++) {
          pages.push({ name: i + 1, index: i, check: i !== this.pageIndex });
        }
      } else {
        // select 5 page to display
        var nums = [0, this.pageIndex - 1, this.pageIndex, this.pageIndex + 1, this.pageNum - 1];
        if (nums[1] <= 0) {
          nums[1] = 1;
          nums[2] = 2;
          nums[3] = 3;
        } else if (nums[3] >= this.pageNum - 1) {
          nums[1] = this.pageNum - 4;
          nums[2] = this.pageNum - 3;
          nums[3] = this.pageNum - 2;
        }
        for (var _i = 0; _i < 5; _i++) {
          if (_i >= 1 && nums[_i - 1] - nums[_i] !== -1) {
            pages.push({ name: '...', index: -1, check: false });
          }
          pages.push({ name: nums[_i] + 1, index: nums[_i], check: nums[_i] !== this.pageIndex });
        }
      }

      return _react2.default.createElement(
        'div',
        null,
        !total && null,
        total !== 0 && _react2.default.createElement(
          'div',
          { className: classes.container, style: { color: primaryColor } },
          _react2.default.createElement(
            'div',
            { className: this.pageIndex === 0 ? classes.disabled : classes.enable, onClick: this.handleClick.bind(this, this.pageIndex - 1) },
            'PREVIOUS'
          ),
          _react2.default.createElement(
            'div',
            { className: classes.numbers },
            pages.map(function (item, i) {
              return _react2.default.createElement(
                'span',
                {
                  key: 'page' + i,
                  className: item.index === _this2.pageIndex ? classes.selected : classes.index,
                  style: item.index === _this2.pageIndex ? { backgroundColor: primaryColor } : null,
                  onClick: _this2.handleClick.bind(_this2, item.index) },
                item.name
              );
            })
          ),
          _react2.default.createElement(
            'div',
            { className: this.pageIndex === this.pageNum - 1 ? classes.disabled : classes.enable, onClick: this.handleClick.bind(this, this.pageIndex + 1) },
            'NEXT'
          )
        )
      );
    }
  }]);

  return AppPagination;
}(_react2.default.Component);

var styleAppPagination = (0, _reactJss2.default)(_paginationStyle2.default)(AppPagination);

exports.AppPagination = styleAppPagination;